Subject: [RFC patch v3 3/4] ASoC: atmel-ssc-dai: register dai and pcm directly

From: [email-masked] (Mark Brown)
Date: Tue, 6 Nov 2012 12:39:08 +0100

On Tue, Nov 06, 2012 at 05:32:32PM +0800, Bo Shen wrote:
> On 11/6/2012 16:48, Mark Brown wrote:
> >On Tue, Nov 06, 2012 at 01:57:53PM +0800, Bo Shen wrote:

> >No, this isn't converting things to device tree which presumably is the
> >goal here and obviously just doing the rename doesn't accomplish an
> >enormous amount.  What I said was that you should instantiate the ASoC
> >adaption when the machine driver needs to use them.  You shouldn't even
> >need a separate device for this.

> Maybe this is not the best solution, but just abstract audio as a
> separate device. The other's still keep as a ssc library.

It's not abstracting things, that's the whole problem.  It's putting the
internals of how the Linux audio stack is organised into the device
tree.  The point is that the SSC should be a library to all users.

> >Please do look at other platforms with similar hardware and do something
> >similar to them.

> I take some reference (e.g: freescale, marvell, invidia soc, this
> RFC implement is similar with them), but don't find the similar
> hardware with us. Please help provide the information who's HW is
> similar with us. Thanks.

A *huge* range of SoCs have generic serial ports - off the top of my
head this includes at least OMAP, PXA and Freescale.  The same issue
also applies to DMA controllers which affects almost all SoCs.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20121106/d18e41e4/attachment.sig>